#include "style.pph"
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<title>Cut It !</title>
</head>

<$body>
<$h1 T="Cut It !">

<p><$h2 T="What is it ?">
<$font>
"Cut It !" is a freeware tool to help you break a big image into smaller ones. What's handy with it is that you define your small images (I call them "cuts") once and save this configuration in a .cutit file. This way whenever you make a change to the big image, you just have to double click on the .cutit file and click the cutter button to update your cuts. 
<$eP>

<p><$h2 T="Installation">
<$font>
Quite easy :
<ol>
  <li>Create a folder named in "c:\program files" and name it "cutit".</li>
  <li>Copy cutit.exe in this folder.</li>
  <li>Execute cutit.reg to enable file associations.</li>
</ol>
If you want to install it in a different folder, modify cutit.reg to reflect your changes before executing it. 
<$eP>

<p><$h2 T="Basic usage">
<$font>
To create a .cutit file, follow these steps :
<ol>
  <li>Select 'File/new..."</li>
  <li>In the first textbox, enter the path to your big image. In the second, enter the path to the output folders (Where the cuts will be stored). Click "Ok".</li>
  <li>You now see your image in the main window. Select "Cut/Add cut". A tiny box appears in the top left corner of your image.</li>
  <li>Drag this box to the size you wish (the result will include the pixels behind the box rect) and enter the filename of your cut in the last textbox of the toolbar.</li>
  <li>Repeat the previous step for each cut you need.</li>
  <li>Save your work with "File/save" (Doh!) and...</li>
  <li>Select "Edit/Cut it !", your image has been broken up !</li>
</ol>

<p><$h2 T="A few tips">
<$h3 T="Editing the .cutit by hand">
<$font>
Although there's a Wysiwyg interface :o) to assist you in the creation of your .cutit files, you can create them by hand. Have a look at the next section for a description of the file format. 
<$eP>

<p><$h3 T="Context menu">
<$font>
From your favorite file manager, right click on a .cutit and select "process" to automatically update your cuts. You can even create a shortcut for this or add it to a batch or a makefile :o), the syntax is : "cutit.exe&nbsp;-process&nbsp;the_file.cutit". 
<$eP>

<p><$h2 T="The .cutit format">
<$font>
Basically .cutit are .ini files. I created a specific extension to be able to define file associations. A .cutit file is made of two parts : the main section and the cut sections. 
<$eP>

<p><$h3 T="The main section">
<$font>
It looks like this :
<blockquote>
  [Main]<br>
  Filename=big_image_file.bmp<br>
  OutputFolder=<br>
</blockquote>
Pretty self explanatory I guess :o)
<$eP>

<p><$h3 T="The cut sections">
<$font>
There is a section per cut. The section name follows this syntax : "CutX", where X is the number of the cut, with the first one being "Cut0".
A cut section looks like this :

<blockquote>
  [Cut1]<br>
  Filename=cut_filename.bmp<br>
  PosX=0<br>
  PosY=12<br>
  SizeX=80<br>
  SizeY=48<br>
</blockquote>
<$eP>

<p><$h2 T="Credits">
<$font>
This program uses components from the following persons :
<ul>
  <li>TRectBox by Paul van Dinther (<a href="mailto:dinther@geocities.com">dinther@geocities.com</a>)</li>
  <li>TAppVerInfo by Riccardo 'Rico' Pareschi (<a href="rico@mbox.4net.it">rico@mbox.4net.it</a>)</li>
</ul>
<$eP>

<p><$h2 T="Contact">
<$font>
You can contact me by mail (<a href="mailto:aurelien.gateau@mail.dotcom.fr">aurelien.gateau@mail.dotcom.fr</a>) or visit my <a href="http://bugkiller.free.fr/">web site</a>.
<$eP>

<p><$h2 T="History">
<$h3 t="2000/02/15 - v0.1.0">
<$font>
First release.
<$eP>

</body>
</html>
