{
Copyright 2000 (c) Aurlien GATEAU aka Bug*Killer
aurelien.gateau@mail.dotcom.fr

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
}
unit CutWithoutGUIUnit;

interface

const PARAM_PROCESS='-process';
const SYNTAX='Syntax : CutIt [[-process] File.cutit]';

procedure CutWithoutGUI;

implementation

uses CutFile,Windows,forms;

{

CutWithoutGUI
This function is called when CutIt is invoked with two
parameters in the command line.

}
procedure CutWithoutGUI;
var
	CutFile:TCutFile;
begin
// Check the syntax
	if ParamStr(1)<>PARAM_PROCESS then
	begin
		Application.MessageBox(PChar(Syntax),PChar(Application.Title),MB_ICONINFORMATION);
	end;

// Do the cut
	CutFile:=TCutFile.Create;
	try
		CutFile.Load(ParamStr(2));
		CutFile.DoCut;
	finally
		CutFile.Free;
	end;
end;

end.
 