{
Copyright 2000 (c) Aurlien GATEAU aka Bug*Killer
aurelien.gateau@mail.dotcom.fr

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
}
unit Properties;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls,CutFile, ExtDlgs, FileCtrl;

type
	TFormProperties = class(TForm)
		Panel1: TPanel;
		BtnOk: TButton;
		BtnCancel: TButton;
		EditMainBmp: TEdit;
		Label1: TLabel;
		EditOutputFolder: TEdit;
		Label2: TLabel;
    OpenPictureDialog: TOpenPictureDialog;
    BtnBrowseBmp: TButton;
    BtnBrowseFolder: TButton;
    procedure BtnOkClick(Sender: TObject);
    procedure BtnBrowseBmpClick(Sender: TObject);
    procedure BtnBrowseFolderClick(Sender: TObject);
		private
		FCutFile:TCutFile;
	public
		constructor CreateFromCutFile(AOwner: TComponent;CutFile:TCutFile);
	end;

implementation

{$R *.DFM}


{

constructor
Takes the CutFile we want to set the properties to as a param

}
constructor TFormProperties.CreateFromCutFile(AOwner: TComponent;CutFile:TCutFile);
begin
	inherited Create(AOwner);
	FCutFile:=CutFile;

// Fill the form edits
	EditMainBmp.Text:=FCutFile.BmpFileName;
	EditOutputFolder.Text:=FCutFile.OutputFolder;
end;


procedure TFormProperties.BtnOkClick(Sender: TObject);
begin
// Fill the CutFile fields
	FCutFile.BmpFileName:=EditMainBmp.Text;
	FCutFile.OutputFolder:=EditOutputFolder.Text;
end;

procedure TFormProperties.BtnBrowseBmpClick(Sender: TObject);
begin
	if OpenPictureDialog.Execute then
		EditMainBmp.Text:=OpenPictureDialog.Filename;
end;

procedure TFormProperties.BtnBrowseFolderClick(Sender: TObject);
var
	Directory:string;
begin
	Directory:=EditOutputFolder.Text;

	if SelectDirectory(Directory,[sdAllowCreate, sdPerformCreate, sdPrompt],0) then
		EditOutputFolder.Text:=Directory;
end;

end.
